import QtQuick 1.1
import com.nokia.meego 1.0
import QtMultimediaKit 1.1
import QtMobility.feedback 1.1
Page {
    tools: commonTools

    property int retrys
    property int whatx
    orientationLock: PageOrientation.LockPortrait

    HapticsEffect {
        id: vib
        attackIntensity: 0.0
        attackTime: 250
        intensity: 1.0
        duration: 100
        fadeTime: 250
        fadeIntensity: 0.0
    }



    Audio {
        id: playMusic
        onStarted: {
            /* because QML is broken */
        //    labelStatus.text="Please wait..."
        }
        onStopped:{
            //curSelButton.checked=false;
            if (channel!="" && retrys==100)
            {
                labelStatus.text="retry "+retrys+" times, gave up :-("
            }
            else if (channel!="") {
                labelStatus.text="retry in 2 seconds"
                retrys++
                timer.start()
            }
            else {
                /* user actually stoped player so we reset retry */
                retrys=0;
                labelStatus.text=""
            }
        }
        onError: labelStatus.text="internet connection problem!"

        onStatusChanged: {
            if (playMusic.status==Audio.Buffered)
            {
               labelStatus.text="<b>Listen to:   </b></left><left><b>"+channel+"</b>"
            }
        }

    }


    Timer
    {
        id: timer
        interval: 1000; running: true; repeat: false
        onTriggered:{
            playMusic.play()
        }
    }


    function f(err, str)
    {
       /* sometimes radio disconnect here we try again
            this is a bit quick&dirty we need to check better
            what type of connection etc... */
/*        if (err==NetworkError){
            playMusic.play();
        }
        */


    }

    function play(ch, url, b)
    {
        /* user actually changed channel using button, so retrys will reset */
        vib.start()
        retrys=0
        channel=""
        playMusic.stop()
        labelStatus.text="Connecting Application server"
        playMusic.source=url
        channel=ch
        playMusic.play()
        curSelButton=b
    }

//    Rectangle{
    //      anchors.fill: parent
      //  opacity: 0.0
        //        color: "black"
/*
        gradient: Gradient {
              GradientStop { position: 0.0; color: "#FFFFFF" }
              GradientStop { position: 1.0; color: "#FFFFFF" }
          }
*/

        Splash{
            id: splash
            anchors.centerIn: parent
            visible: platformWindow.viewMode==WindowState.Thumbnail ? true : false
        }

        Column {
            spacing: 0
            anchors.top: parent.top
            anchors.bottom: parent.bottom
            anchors.left: parent.left
            anchors.right: parent.right
            Image{
            source: "/opt/plusradio/images/s.png"
                height: 0
                width: 0
                fillMode: Image.PreserveAspectFit
                anchors {
                    horizontalCenter: parent.horizontalCenter
                }
                MouseArea{
                    anchors.fill: parent
                    onClicked: openFile("AboutPage.qml");
                }

            }
//            anchors.centerIn: parent
            Rectangle{
                gradient: Gradient {
                      GradientStop { position: 0.0; color: "#FFFFFF" }
                      GradientStop { position: 1.0; color: "#FFFFFF" }
                  }
                anchors {
                    horizontalCenter: parent.horizontalCenter
                }
                height: 0
                width: parent.width-64
            }

            Label {
                id: labelStatus
                color: "cyan"
                horizontalAlignment: Text.Alignleft
                height: 55
                width: parent.width
                anchors {
                    left: parent.left
                }
            }

            Button{
                anchors {
                    left: parent.left

                }
                text: qsTr("Stop")
                onClicked:
                {
                    channel=""
                    vib.start()
                    playMusic.stop()
                }
            }
            Rectangle{
                gradient: Gradient {
                      GradientStop { position: 20.0; color: "#FFFFFF" }
                      GradientStop { position: 20.0; color: "#FFFFFF" }
                  }
                anchors {
                    horizontalCenter: parent.horizontalCenter
                }
                height: 0
                width: parent.width-100
            }

            Item{
                /* dumy item */
                height: 9
                width: parent.width
            }
            Button{
                anchors {
                    left: parrent.left
                }
                             //        checkable: true
                             text: qsTr("Music Pulse")
                onClicked:     play(text, "http://rfcmedia.streamguys1.com/MusicPulse.mp3", this)
            }
            Button{
            anchors {
            left: parrent.left
            }
                         //        checkable: true
                         text: qsTr("Mix Lite")
                         onClicked:     play(text, "http://rfcmedia.streamguys1.com/mixlite.mp3", this)
            }
            Button{
            anchors {
            left: parrent.left
            }
                     //        checkable: true
                     text: qsTr("Disco Hits")
                     onClicked:     play(text, "http://rfcmedia.streamguys1.com/disco.mp3", this)
            }
            Button{
            anchors {
            left: parrent.left
            }
                //        checkable: true
                text: qsTr("R&B Hits")
                onClicked:     play(text, "http://rfcmedia.streamguys1.com/rbhits.mp3", this)
            }
            Button{
            anchors {
            left: parrent.left
            }
             //        checkable: true
             text: qsTr("Pop Hits")
             onClicked:     play(text, "http://rfcmedia.streamguys1.com/newpophits.mp3", this)
            }
            Button{
            anchors {
            left: parrent.left
            }
          //        checkable: true
          text: qsTr("Hot AC Hits")
          onClicked:     play(text, "http://rfcmedia.streamguys1.com/hotachits.mp3", this)
            }
            Button{
            anchors {
            left: parrent.left
            }
       //        checkable: true
       text: qsTr(".Top FM")
       onClicked:     play(text, "http://mp3.topfm.c.nmdn.net/ps-topfm_mobile/livestream.mp3", this)
            }
            Button{
                anchors {
                    left: parrent.left
                }
     //          checkable: true
     text: qsTr("Top Music France")
                onClicked:     play(text, "http://str0.creacast.com/topmusic1", this)
            }
            Button{
                anchors {
                    left: parrent.left
                }
//          checkable: true
                text: qsTr("Antenne 1 Top 40")
                onClicked:     play(text, "http://stream.antenne1.de/top40/livestream2.mp3", this)
                }
                Button{
                anchors {
                left: parrent.left
                }
   //            checkable: true
   text: qsTr("104.6 RTL 90er")
   onClicked:     play(text, "http://rtlberlin.hoerradar.de/rtlberlin-90er-mp3-192?sABC=58o854q9%230%236q17no6q7q5nq86890q675n14r681q85%23gharva&amsparams=playerid:tunein;skey:1488475353", this)
            }
            Button{
                anchors {
                    left: parrent.left
                }
 //              checkable: true
 text: qsTr("Country Hits")
 onClicked:     play(text, "http://rfcmedia.streamguys1.com/countryhits.mp3", this)
            }
            Button{
                anchors {
                    left: parrent.left
                }
                
//                checkable: true
text: qsTr("Hot Hip Hop")
onClicked:     play(text, "http://rfcmedia.streamguys1.com/hothiphop.mp3", this)
            }
            Rectangle{
                height: 15
                width: parent.width
                opacity: 0.000
            }
            /*
            Rectangle {
                width: parent.width
                height: 100
                MouseArea {
                    anchors.fill: parent
                    onPressed:
                    {
                        parent.whatx=mouse.x+100
                        console.log("hello\n");
                    }

                    onReleased:
                    {
                        console.log("hello\n");
                      // if (mouse.x>parent.whatx)
                             pageStack.pop()
                    }
                }
             }
             */
        //}

    }

}            